*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    text-decoration: none;
    border:none;
    outline:none;
    scroll-behavior: smooth;
    font-family: "Special Elite", system-ui;
    font-style: normal;
    font-weight: 400;
}
:root{
    --bg-color:#EDE1CE;
    --text-color: #000;
    --caret-color: red;
    --header-color: #F1D8A9;
}

html{
    position: relative;
    overflow-x: hidden;
    
}

body{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: 0;
    background-color: var(--bg-color);
    color: var(--text-color);
    min-height: 100vh;
    font-size: 1.5rem;
    user-select: none;
}

header
{
    position: relative;
    background-color: var(--header-color);
    border-width: 2px 0;
    border-style: solid;
    height: 116px;
    border-color: var(--text-color);
    width: 100%;
    top: 0;
    text-align: center;
    padding: 2rem 5%;
    margin: 0 auto;       
}

.timer
{
    position: absolute;
    top: 50%;
    transform: translateY(-40%);
    left: 2rem;
    width: 80px;
    height: 80px;
}


.progress-ring {
    transform: rotate(-90deg);
}


.progress-ring__circle {
    stroke: var(--caret-color);
    stroke-dasharray: 157;
    stroke-dashoffset: 157;
    transition: stroke-dashoffset 1s linear;
}


main
{
    display: flex;
    flex-direction: row;
}

#startDialog
{
    display: flex;
    flex-direction: column;
    position: absolute;
    padding: 30px;
    line-height: 1.4;
    text-align: center;
    height: 330px;
    top: 227px;
    left: 32.5%;
    background: transparent;
    left: 49.5%;
    transform: translateX(-50%);
    width: 25%;
    overflow: hidden;
    border: none;
}

#startDialog h3
{
    font-style: italic;
}

.buttonContainer
{
    margin-top: 10%;
    display: flex;
    justify-content: space-evenly;
}

.levelButton
{
    display: inline-block;
    border: 1px solid var(--bg-color);
    background: transparent;
    width: 80px;
    height: 30px;
    cursor: pointer;
    border-radius: 4rem;
    padding-top: 3px;
    z-index: 5;
    
}

.levelButton:hover
{
    font-weight: bold;
    border-width: 2px;
}

.typewriter-container
{
    position: relative;
    width: 1536px;
    height: auto;
}

.typewriter-img
{
    width: max-content;
    display: block;
    z-index: 1;
}

.allText-box
{
    display: flex;
    flex-direction: column;
    position: absolute;
    padding: 15px;
    top: 50px;
    left: 50%;
    justify-content: flex-start;
    transform: translateX(-52%);
    width: 42%;
    height: 300px;
    white-space: pre-wrap;
    overflow: hidden;
    
    border: none;
    text-align: left;    
    
}

.prevText-box
{
    display:flex;
    height: 270px;
    flex-direction: column-reverse;
}

.textInput{
    color: var(--text-color);
    caret-color: var(--caret-color);
    font-size: 1.5rem;
    background: transparent;
}

.redrum
{
    position: absolute;
    z-index: 50;
    color: var(--caret-color);
    font-size: 6rem; 
    top: 500px;
    left: 1000px;
    transform: rotate(30deg);  
}


#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: black;
  opacity: 0;
  pointer-events: none;
  transition: opacity 2s ease-in-out;
  z-index: 999;
}

#endTextContainer
{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: black;
    color: white;
    padding: 20px 40px;
    font-size: 24px;
    border-radius: 10px;
    display: none;
    z-index: 10000;
    white-space: nowrap;
    overflow: hidden;
}

@media (max-width:2000px){
    .header{
        height: 92px;
        margin-top: 10px;
    }
    .header h1{
     transform: translateY(-20%);  
    }
    #startDialog
    {
        top: 144px;
        width: 680px;
    }
    /*
.typewriter-container
{
    position: relative;
    width: 1000px;
    height: auto;
}*/
}


